Subject: Re: [forces] AD Review of draft-ietf-forces-ceha

From: "Adrian Farrel" <[email-masked]>
Date: Wed, 2 Oct 2013 16:57:33 +0100

Authors,

Why don't you do what Jamal suggested, post a new revision with this change and
the others already discussed, and then we can move the document forward?

Adrian

> Cc: Haleplidis Evangelos; [email-masked];
[email-masked]
> Subject: Re: [forces] AD Review of draft-ietf-forces-ceha
> 
> Hi,
> 
> I am sorry I missed this - Evangelos reminded me while i was trying
> to figure out where the publication path is.
> 
> My take on this is we should use new rows for each version.
> But we also need a new column to identify the version. IMO, that
> would be the best way to scale in the future if we keep adding new versions.
> So if folks agree we would need to ask IANA for the new version column.
> 
> The reference column will continue to be identifying which RFC/docs are
> utilized and which are obsoleted.
> 
> cheers,
> jamal
> 
> On Sun, Aug 18, 2013 at 1:31 PM, Adrian Farrel <[email-masked]> wrote:
> > Hello,
> >
> >> > Section 5 needs to give clear and unambiguous instructions to the IANA.
> >> > It seems that the text in Section 5 is currently a placeholder for the
> >> > correct text.
> >>
> >> Looking on the IANA considerations I am not exactly sure how to address the
> >> issue.
> >>
> >> In my mind there are two possibilities.
> >>
> >> 1. Update the "Logical Functional Block (LFB) Class Names and Class
> >> Identifiers" https://www.iana.org/assignments/forces/forces.xml by adding
> >> one more column "LFB Version" after (or before) the LFB Class Name. Value
of
> >> 1.0 for all existing LFBs and then add a new row for Version 1.1 after the
> >> FE Protocol Object for version 1.1.
> >>
> >> 2. Update the FEPO reference with [RFC5810] v1.0, [CEHA RFC] v.1.1.
> >>
> >> I'm more inclined to go for the first one but that would require
> >> restructuring of the IANA page.
> >> What should be the proper way forward?
> >
> > I was hoping that Jamal would know what needed to be done here.
> > I think you are saying that the LFB class identifier in the registry points
to
> > XML present in the referenced document.
> > Thus, previously, when you saw LFB Class Identifier 2, you knew to look in
RFC
> > 5810 for the XML for the LFB.
> >
> > Now you have confusion. Does LFB Class Identifier 2 refer to the FEPO LFB
v1.0
> > in RFC 5810, the FEPO LFB v1.1 in this I-D, or both?
> >
> > I can't answer that question for you!
> >
> > However, since I see the version number embedded in the XML, I am relatively
> > sure that this document:
> > - updates RFC 5810 by replacing the XML
> > - should be referenced alongside RFC 5810 in the registry
> >
> > Note that updating 5810 requires a little work to:
> > - mention it in the meta-data
> > - note it in the Introduction "This document updates foo by doing bah."
> > - explain it in a short paragraph in the introduction.
> >
> >> > Section 3.1.1
> >> >
> >> > "CEID" is used without expansion. Although sometimes I find "CE ID" for
> >> example in 3.1.2.
> >>
> >> The CEID refers to a component in the FE Protocol Object. The CE ID refers
> >> to the ID of the CE. There were a few discrepancies but have been fixed.
The
> >> CEID is now followed by the word "component" while the CE ID is not. Will
> >> that be sufficient to remove the confusion?
> >
> > It would be nice if the first usage of each expanded it into English.
> >
> > Cheers,
> > Adrian
> >
>